public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "William Hubbs" <williamh@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-go/gox/
Date: Sat,  4 Apr 2020 23:32:32 +0000 (UTC)	[thread overview]
Message-ID: <1586043075.1a3dcd44c879cd9257d7f0e3c753c6d67e4fc914.williamh@gentoo> (raw)

commit:     1a3dcd44c879cd9257d7f0e3c753c6d67e4fc914
Author:     William Hubbs <williamh <AT> gentoo <DOT> org>
AuthorDate: Sat Apr  4 23:29:48 2020 +0000
Commit:     William Hubbs <williamh <AT> gentoo <DOT> org>
CommitDate: Sat Apr  4 23:31:15 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1a3dcd44

dev-go/gox: 1.0.1 bump

Signed-off-by: William Hubbs <williamh <AT> gentoo.org>

 dev-go/gox/Manifest         |  1 +
 dev-go/gox/gox-1.0.1.ebuild | 24 ++++++++++++++++++++++++
 2 files changed, 25 insertions(+)

diff --git a/dev-go/gox/Manifest b/dev-go/gox/Manifest
index 2f1e0e35ea1..99f4c8b78f5 100644
--- a/dev-go/gox/Manifest
+++ b/dev-go/gox/Manifest
@@ -1,2 +1,3 @@
 DIST github.com-mitchellh-iochan-87b45ffd0e9581375c491fef3d32130bb15c5bd7.tar.gz 1785 BLAKE2B fdb82b106446b0fe5d5c6c9cca2c8303fbef305ae1c45a82ca7ba5bbc9ce4db3708d7680bfe95099e73a5f5a3d687f25d77c7b535f3e1dc71e5fe8915eb9642e SHA512 2efc0e3cbca496240e3e24550fd0d2aab742eb9b227230ff1ed4ee47344b994642b028bd4644cd45cd697f5f5ef6a729aad65537b10c6555bd52d9ca4b9c717c
 DIST gox-0.4.0.tar.gz 15766 BLAKE2B d2cdab2404f49bf658eedc8884185044e19df0a6250966633fcef2ffdb44fb927a1c7c6341141b2a1a8a336aca819a7f861232742805458fcf16eff622a9e1e9 SHA512 8e6e1d436710ae71a77df266eff1feeeb8d50695bca8a77268d9480286609db8d38e33a1bc17f71c0b3eee919e2a5d53f8e653f773751099ba3fc884b9a03da3
+DIST gox-1.0.1.tar.gz 30819 BLAKE2B c99cbf93fcb357561a32a8f2ee7b77b1db481c8f3b886040865436ae9f69c9dfe6b88647d4b07edd0567cce8868a491b6c37ab979bb529093ae2dd7046a7ec0d SHA512 cfcad670d9b752fe629de26db0a7f02a72f183f1c6acaf232d4908085f27a297453ab35f5c9a3ede209cb9143fd9ed7a8b5d9c182c8796f3fe4d023cb5294497

diff --git a/dev-go/gox/gox-1.0.1.ebuild b/dev-go/gox/gox-1.0.1.ebuild
new file mode 100644
index 00000000000..e5d1255a13e
--- /dev/null
+++ b/dev-go/gox/gox-1.0.1.ebuild
@@ -0,0 +1,24 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+inherit go-module
+
+DESCRIPTION="A dead simple, no frills Go cross compile tool"
+HOMEPAGE="https://github.com/mitchellh/gox"
+SRC_URI="https://github.com/mitchellh/gox/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MPL-2.0"
+SLOT="0/${PVR}"
+KEYWORDS="~amd64"
+
+RESTRICT+=" test"
+
+src_compile() {
+	go build -mod=vendor . || die
+}
+
+src_install() {
+	dobin ${PN}
+	einstalldocs
+}


             reply	other threads:[~2020-04-04 23:32 UTC|newest]

Thread overview: 15+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2020-04-04 23:32 William Hubbs [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-04-17 21:02 [gentoo-commits] repo/gentoo:master commit in: dev-go/gox/ Conrad Kostecki
2024-03-21 20:38 Arthur Zamarin
2022-10-17 16:03 Jakov Smolić
2022-10-17 16:03 Jakov Smolić
2022-10-10 23:40 Sam James
2022-09-14 19:22 Arthur Zamarin
2022-06-19  8:49 Jakov Smolić
2020-05-28 22:47 William Hubbs
2020-04-04 23:32 William Hubbs
2020-04-04 23:32 William Hubbs
2019-01-27 11:05 Pacho Ramos
2018-08-20 17:59 Manuel Rüger
2018-04-12 14:36 Manuel Rüger
2017-06-13 11:32 Manuel Rüger

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1586043075.1a3dcd44c879cd9257d7f0e3c753c6d67e4fc914.williamh@gentoo \
    --to=williamh@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox